/*
 * See the README file for copyright information and how to reach the author.
 *
 */

#ifndef __PVRUSB2_SCANNER_H
#define __PVRUSB2_SCANNER_H

#include "common.h"

class cRMScanner:
    public cThread
{
    private:
        cRMDevice* parent;
        cRMScanChannelListener* listener;

        cRMChannelList channels;

    protected:
        virtual void Action(void);
        virtual void FineTune(cRMChannel* _channel);

    public:
        cRMScanner(cRMDevice* _parent,
                cRMScanChannelListener* _listener);
        virtual ~cRMScanner();
};

#endif // __PVRUSB2_SCANNER_H


